<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateNotificationsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: notifications
         */
        Schema::create('notifications', function ($table) {
            $table->increments('id');
            $table->string('type', 250)->nullable();
            $table->integer('notifiable_id')->nullable();
            $table->string('notifiable_type', 250)->nullable();
            $table->text('data')->nullable();
            $table->text('message')->nullable();
            $table->string('card_variant', 10)->nullable();
            $table->tinyInteger('pinned')->nullable();
            $table->dateTime('read_at')->nullable();
            $table->dateTime('done_at')->nullable();
            $table->dateTime('saved_at')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('notifications');
    }
}
