Lavalite package that provides notification management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepie/notification`.

    "litepie/notification": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepie\Notification\Providers\NotificationServiceProvider::class,

And also add it to alias

    'Notification'  => Litepie\Notification\Facades\Notification::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepie\\NotificationTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\Notification\Providers\NotificationServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\Notification\Providers\NotificationServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\Notification\Providers\NotificationServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/notification/{modulename}

**User**

    http://path-to-route-folder/user/notification/{modulename}

**Public**

    http://path-to-route-folder/notifications


### API endpoints

**List**

    http://path-to-route-folder/api/user/notification/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/notification/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/notification/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/notification/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/notification/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/notification/{modulename}/{slug}
    METHOD: GET