<?php

namespace Litepie\Notification;

use User;

class Notification
{
    /**
     * $notification object.
     */
    protected $notification;

    /**
     * Constructor.
     */
    public function __construct(\Litepie\Notification\Interfaces\NotificationRepositoryInterface $notification)
    {
        $this->notification = $notification;
    }

    /**
     * Returns count of notification.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.notification.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->notification->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\NotificationUserCriteria());
        }

        $notification = $this->notification->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('notification::' . $view, compact('notification'))->render();
    }
}
