<?php

namespace Litepie\Notification\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NotificationTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Notification\Models\Notification $notification)
    {
        return [
            'id'                => $notification->getRouteKey(),
            'key'               => [
                'public'    => $notification->getPublicKey(),
                'route'     => $notification->getRouteKey(),
            ], 
            'type'              => $notification->type,
            'notifiable_id'     => $notification->notifiable_id,
            'notifiable_type'   => $notification->notifiable_type,
            'data'              => $notification->data,
            'message'           => $notification->message,
            'card_variant'      => $notification->card_variant,
            'pinned'            => $notification->pinned,
            'read_at'           => $notification->read_at,
            'done_at'           => $notification->done_at,
            'saved_at'          => $notification->saved_at,
            'deleted_at'        => $notification->deleted_at,
            'url'               => [
                'public'    => trans_url('notification/'.$notification->getPublicKey()),
                'user'      => guard_url('notification/notification/'.$notification->getRouteKey()),
            ], 
            'status'            => trans('app.'.$notification->status),
            'created_at'        => format_date($notification->created_at),
            'updated_at'        => format_date($notification->updated_at),
        ];
    }
}